لینوکس و من

توزیع دبیان

نویسنده : علیرضا احسانی | تاریخ: 1396/06/15

والپیپرهای لینوکس ۱۰

نویسنده : امین | تاریخ: 1395/03/9


پخش صدای خروج (Logout) در گنوم

نویسنده : امین | تاریخ: 1391/06/23

چندین سال این سوال گوشه ی اعماق ذهنم همیشه وجود داشت که چرا صدای Logout پخش نمیشه؟!! هیچ وقت هم دنبالش نرفتم که جوابی پیدا کنم براش. امشب گفتم بذار هر طوری شده ته توی قضیه رو در بیارم!
گوگل مثل همیشه کمک خوبی بود. متوجه شدم که این یه باگ بوده که در یکی از نسخه های اوبونتو برطرف شده. ولی خب ما که اوبونتو نداریم. تازه اوبونتوهای جدید رو هم که امتحان کردم همچین خبری نبود. پس داستان چیه؟!
یه فکری به سرم میزنه. مهم نیست داستان چیه! مهم اینه که یه موزیک حین خروج از دسکتاپ پخش بشه. پس این فکر رو تعمیم میدم. یه "دستور" قبل از خروج از دسکتاپ پخش بشه! حالا میرم دنبال این میگردم...
و بینگوووو.... پیداش میکنم. خیلی خیلی ساده است. اگه بخوایم دستوری قبل از خروج اجرا بشه، کافیه که اون رو در فایل زیر، قبل از exit بنویسیم. پس این فایل رو باز میکنیم:

sudo gedit /etc/gdm/PostSession/Default

و خط زیر رو قبل از exit میذاریم و save میکنیم:

/usr/bin/canberra-gtk-play --id="desktop-logout" --description="GNOME Logout"

توجه کنید که خط بالا فقط دستوریه که منجر به پخش صدای خروج میشه. پس ما اون رو قبل از خروج اجرا میکنیم! به همین سادگی! شما احتمالا میتونید هر دستور دیگه ای رو بذارید.

مثلا چطوره قبل از خروج یه پنجره باز بشه و بگه چقدر کامپیوتر روشن بوده!

zenity --info --title "Uptime" --text=" You were using this computer since \n $(uptime)"
جالبه نه؟

zenity ابزاری هست که میتونیم باهاش پنجره های جور واجور gtk رو به نمایش بذاریم. خیلی جزئیات داره. میتونید man page اون رو ببینید و باهاش بیشتر آشنا شید.

لینک‌های مرتبط

ساخت بسته ی deb از سورس کامپایل شده

نویسنده : امین | تاریخ: 1391/06/23

تا به حال شده یه بسته ای رو از روی سورس نصب کنید و بعدا به هر دلیلی احتیاج داشته باشید بسته ی deb اون رو داشته باشید؟ دلیلش هر چی که میخواد باشه. هدف ما اینه که بسته ی deb رو داشته باشیم! خیلی خیلی ساده، اول باید یه چیزی به نام checkinstall رو نصب کنید:
sudo apt-get install checkinstall
حالا وارد پوشه بسته ای بشید که اون رو کامپایل کردید و نصب کردید. یا حتی نصب هم نکردید. فقط کامپایل کردید. و به جای اینکه sudo make install رو اجرا کنید، این رو اجرا کنید : sudo checkinstall

روند کار بسیار ساده است. شما میتونید توضیحات دلخواهتون رو بنویسید، اسم بسته رو عوض کنید و ... . پس از اتمام کار، بسته ی مورد نظر در همون فولدر ایجاد میشه و خودش نصب میشه.

لازم بود!
اطلاعات مفصل تری رو میتونید در این فروم پیدا کنید.

لینک‌های مرتبط

باز هم تبدیل زیرنویس ها به UTF8

نویسنده : امین | تاریخ: 1391/05/29

این زیرنویس فارسی هم معضلی شده برای خودش! و تنبلی ما هم مزید بر علت! مشکل اینجاست که با وجود تنظیم vlc روی windows-1256 برای زیرنویس های با این انکدینگ، باز هم درست نشون داده نمیشن. و حتما باید utf8 باشن. چند باری در این مورد مطلب نوشتم. این مطلب در مورد روش گرافیکی، و این هم یک اسکریپتی که این کار رو برای ما ساده تر میکرد.
اما مشکل این دوتا این بود که فایل ها رو باید دونه دونه میدادیم تا تبدیل میشدن. فرض کنید میخواید در مورد یه سریال چندین قسمتی این کار رو بکنید. خب چه کاریه واقعا! پیر میشه آدم. اما راه حل خیلی ساده است. به طوری که با یک خط دستور همه ی فایل های زیرنویس تبدیل میشن. برای اینکار در ترمینال وارد پوشه ی زیرنویسها بشید و این دستور رو اجرا کنید:
for i in *.srt; do iconv -f windows-1256 -t utf8 "$i" > "utf8-$i"; done
توجه کنید که:

۱- این دستور فایل های با پسوند srt با حروف کوچک رو شناسایی میکنه. پس اگه پسوند فایل های شما با حروف بزرگ هست، دستور رو تغییر بدید.
۲- در ابتدای نام زیرنویسهای جدید عبارت-utf8 اضافه میشه. میتونید به دلخواه خودتون تغییرش بدید. (قرمز رنگ در دستور)

ما باز هم میتونیم کار رو ساده تر کنیم! وای که چقدر تنبلیم! این دستور رو تبدیل میکنیم به یک فایل اجرایی و میذاریمش توی پوشه ی usr/bin/ . اون وقت کافیه با ترمینال وارد پوشه ی مورد نظر بریم و فقط نام اسکریپت رو تایپ کنیم! این فایل رو دانلود کنید. و بذاریدش توی مثلا فولدر home یوزر خودتون. و بعد در ترمینال این دستور رو اجرا کنید تا مجوز اجرا شدن رو به این فایل بدیم:
sudo chmod o+x ~/srtconv
حالا اون رو کپی میکنیم:
sudo cp ~/srtconv /usr/bin/srtconv
شما میتونید این کارها رو در حالت گرافیکی هم انجام بدید.

خب. حالا در ترمینال وارد پوشه ی زیرنویسها بشید و تایپ کنید: srtconv و اینتر بزنید!
برای اینکه کار ما با ترمینال هم ساده تر شه و وجبور نباشیم با دستور cd وارد پوشه ی زیرنویسها بشیم، این بسته رو نصب کنید: nautilus-open-terminal
sudo apt-get install  nautilus-open-terminal

حالا که با فایل منیجر (nautilus) وارد پوشه ی زیرنویس ها میشید راست کلیک کنید و open in terminal رو انتخاب کنید!
در فکر اینم که این کار رو به اسکریپتی به nautilus بسپریم. تا مثلا با راست کلیک روی فایل srt گزینه ای ظاهر بشه که تبدیل رو برامون انجام بده. 

جلوگیری از آپدیت شدن libreoffice

نویسنده : امین | تاریخ: 1391/05/29

در پست های قبل نوشته بودم که چطوری از آپدیت شدن خودکار یک بسته جلوگیری کنیم. LibreOffice از اون برنامه هاییه که حجم بالایی داره. و آپدیت شدنش به نسخه های ریز فرعی به نظر من زیاد لازم نیست. مگه اینکه بخواد به یک نسخه ی اصلی آپدیت بشه. 
حالا طبق همون پست، این دستورات رو که وارد کردم برای شما هم میذارم. و هم برای خودم میمونه اگه بعدا لازم شد استفاده کنم. یکی یکی این دستورات رو در ترمینال اجرا کنید. اما:
۱- هیچ برنامه ای که به مخازن دسترسی داره باز نباشه. مثلا synaptic
۲- در ترمینال باید با حالت root وارد شده باشید. بنابراین اول دستور su رو اجرا کنید.

این هم دستورات:

echo "libreoffice-style-tango hold" | dpkg --set-selection
echo "libreoffice-style-galaxy hold" | dpkg --set-selection
echo "libreofficestyle-galaxy hold" | dpkg --set-selections
echo "libreoffice-report-builder-bin hold" | dpkg --set-selections
echo "libreoffice-java-common hold" | dpkg --set-selections
echo "libreoffice-help-en-us hold" | dpkg --set-selections
echo "libreoffice-filter-mobiledev hold" | dpkg --set-selections
echo "libreoffice-emailmerge hold" | dpkg --set-selections
echo "libreoffice-common hold" | dpkg --set-selections
echo "libreoffice-core hold" | dpkg --set-selections
echo "libreoffice-base hold" | dpkg --set-selections

این دستورات کافی هستند تا مشتقات دیگه هم آپدیت نشن. توجه کنید که امکان آپدیت همچنان وجود داره، یعنی هر وقت که خودتون بخواید میتونید از توی پکیج منیجر تیک اپدیت شدن این بسته ها رو بزنید. این کار ما فقط جلوی آپدیت شدن اتوماتیک این بسته ها رو میگیره.
اگه شما هم بسته ی دیگه ای از LibreOffice رو دیدید که با وجود دستورهای بالا لازمه این اتفاق براش بیفته در کامنت ها بنویسید. ممنون میشم.

آخرین نسخه فایرفاکس برای دبیان

نویسنده : امین | تاریخ: 1391/05/16

همون طور که ممکنه بدونید، به خاطر یه سری مسائل دبیان از برند Firefox استفاده نمیکنه و به جای اون از Iceweasel استفاده میکنه. آخرین ورژن iceweasel در نسخه ی دبیان testing شماره ۱۰ هست. همون طور که میدونید الان فایرفاکس به نسخه ی ۱۵ هم رسیده. با توجه به اینکه مرورگر اینترنت نقش مهمی در امنیت وبگردی ما داره، ترجیح میدم آخرین نسخه ی فایرفاکس رو داشته باشم.
برای این کار، ترمینال رو باز کنید و فایل مخازن رو با یه ویرایشگر مثل gedit باز میکنیم:
sudo gedit /etc/apt/sources.list
و خط زیر رو به آخر این فایل اضافه کنید و اون رو ذخیره کنید و ببندید:
deb http://mozilla.debian.net/ experimental iceweasel-beta

حالا در ترمینال این دستورها رو به ترتیب اجرا کنید:
sudo apt-get install pkg-mozilla-archive-keyring
sudo apt-get update
sudo apt-get install iceweasel

آخرین نسخه ی فایرفاکس در اختیار شما است. و دیگه لازم نیست از خود سایت فایرفاکس دانلود کنید.

گنوم شل کند است؟

نویسنده : امین | تاریخ: 1391/04/20

از وقتی گنوم‌شل رو نصب کردم با این مشکل مواجه بودم که واقعا انیمیشن‌ها کند بودند. مثلا موقع سوییچ بین اپلیکیشن ها مکث غیر قابل بخششی وجود داشت. خیلی خیلی گشتم... خیلی بسیار...! تا اینکه در این‌جا چیزهایی رو پیدا کردم که ظاهرا مشکلم رو برطرف کرده الان!
این فایل رو باز کردم:
sudo gedit /etc/modules
و اینها رو بهش اضافه کردم:
intel_agp
drm
i915 modeset=1
و بعد این فایل رو باز کردم:
sudo gedit /etc/default/grub

و این عبارت رو در قسمت GRUB_CMDLINE_LINUX_DEFAULT اضافه کردم:
video=i915:modeset=1
و بعد این دستور رو اجرا کردم:
sudo update-grub
عرض کنم که این پست صرفا برای این بود که این ها رو یه جا ثبت شده داشته باشم. حالا ممکنه به درد کس دیگه ای هم بخوره. ولی حتما لزومی نداره که اگر شما هم این مشکل رو دارید با این کار مشکلتون برطرف بشه. فعلا که دیگه خبری از اون مکث ها نیست. ان شا الله که درست شده باشه.

مدل لپتاپ: 1215n asus

نصب wheezy به روش زجرآور!

نویسنده : امین | تاریخ: 1391/04/19

چند وقت پیش فایل iso نسخه debian testing که الان wheezy هست رو دانلود کردم تا نصبش کنم. اما متاسفانه موقع نصب به مشکلی بر خوردم که نصب انجام نشد. با کمی سرچ متوجه شدم که این یک باگ هست که از مدتها قبل وجود داشته و داره. بنابراین منصرف شدم و رفتم سراغ چیزهای دیگه. تا اینکه چند روز پیش نسخه stable دبیان که الان squeez هست رو نصب کردم. خب همون طور که میدونید این نسخه بسته های خیلی قدیمی‌ای داره و اگه بخواید از برنامه های جدید استفاده کنید با مشکل dependency مواجه میشید. و کلا اینکه برای دسکتاپ خونه و لپتاپ مناسب نیست زیاد. بنابراین سعی کردم به wheezy آپدیت کنم! اوه اوه!
بعد از دانلود یک گیگ و خورده ای! بالاخره دبیان از squeez به wheezy آپدیت شد و الان راضی هستم. برای این کار، فایل repositoryها رو که همون etc/apt/sources.list/ باز کنید و مخزن بسته های wheezy رو بهش اضافه کنید و قبلی ها رو بردارید یا غیر فعال کنید. فایل من الان به این شکل هست:

# squeez
# deb http://ftp.us.debian.org/debian squeeze main contrib non-free
# deb-src http://ftp.us.debian.org/debian squeeze main contrib non-free

# deb http://security.debian.org/ squeeze/updates main
# deb-src http://security.debian.org/ squeeze/updates main

# deb http://ftp.us.debian.org/debian squeeze-updates main contrib non-free
# deb-src http://ftp.us.debian.org/debian squeeze-updates main contrib non-free

# backports
# deb http://backports.debian.org/debian-backports squeeze-backports main
# deb-src http://backports.debian.org/debian-backports squeeze-backports main

############################
# Testing US mirror:
deb http://ftp.us.debian.org/debian/ testing main contrib non-free
# deb-src http://ftp.us.debian.org/debian/ testing main contrib non-free

# Testing Security Updates
deb http://security.debian.org/ testing/updates main contrib non-free

#Testing Proposed Updates
deb http://ftp.debian.org/debian/ testing-proposed-updates main contrib non-free
############################

## Multimedia ##
# Marillat For info visit http://www.debian-multimedia.org
deb http://www.debian-multimedia.org testing main non-free
############################


### Wine ###
deb http://www.lamaresh.net/apt squeeze main
############################

deb http://suwako.nomanga.net/debian sid main contrib
deb-src http://suwako.nomanga.net/debian sid main

دو خط آخر مربوط به bumblebee هست که برای کارت گرافیک های nvidia ion هست. شما میتونید دو خط آخر و حتی wine رو هم حذف کنید. و در آخر سیستم رو آپدیت کنید: sudo apt-get update
توجه داشته باشید که ممکنه مجبور شید پروسه ی آپدیت رو چند بار انجام بدید که هر بار بسته های خاصی نصب میشن. و دیگه اینکه نسخه گنوم در دبیان تست، گنوم۳ هست. و گنوم۲ شما از بین خواهد رفت.
دانلود نسخه ی squeez:
32bit, live iso: http://cdimage.debian.org/debian-cd/current-live/i386/usb-hdd/
64bit, live iso: http://cdimage.debian.org/debian-cd/current-live/amd64/usb-hdd/
Full DVD/CD iso:  http://www.debian.org/CD/http-ftp/#stable
Full DVD/CD torrent: http://www.debian.org/CD/torrent-cd/
دانلود نسخه wheezy:
32bit, Full DVDs iso: http://cdimage.debian.org/cdimage/weekly-builds/i386/iso-dvd/
64bit, Full DVDs iso: http://cdimage.debian.org/cdimage/weekly-builds/amd64/iso-dvd/
توجه کنید که این ایمیج های تست به طور هفتگی ساخته میشن!

اجرای دستورات sudo به صورت گرافیکی در فدورا و دبیان

نویسنده : امین | تاریخ: 1391/04/17

در دبیان‌ها چیزی داریم به نام gksu که این کمک میکنه یه برنامه رو تحت کاربر root به صورت گرافیکی اجرا کنیم. با یه مثال توضیح میدم. مثلا اگه بخوایم یه شورت‌کات بسازیم که بخوایم nautilus رو با کاربر root باز کنیم، نمیتونیم در قسمت command شورت‌کات بنویسیم sudo nautilus . چون که sudo باید در ترمینال باشه تا بتونیم پسورد رو وارد کنیم. به جای sudo از gksu استفاده میکنیم. و مینویسیم: gksu nautilus با کلیک روی این شورت‌کات پنجره ای باز میشه که از ما پسورد میخواد.
در فدورا اما... gksu نداریم. باید چیزی به نام beesu رو نصب کنید که دقیقا همین کار رو میکنه: yum install beesu

1 2